routes/admin.php
	Route::resource('users', 'UserController')->middleware('permission');
	Route::get('users/ban/{customer}', 'UserController@ban')->name('users.ban')->middleware('permission');
	Route::delete('/users/destroy/{id}', 'UserController@destroy')->name('users.destroy')->middleware('permission');
	Route::get('/transactions', 'UserController@transactions')->name('users.transactions')->middleware('permission');
	Route::post('users/update-status/{id}', 'UserController@changeStatus')->name('users.updatestatus')->middleware('permission');
	Route::post('users/update-status-block/{id}', 'UserController@changeStatus2')->name('users.updatestatusblock')->middleware('permission');
	Route::post('users/update-information/{id}', 'UserController@update')->name('users.update')->middleware('permission');
	Route::post('users/update-business/{id}', 'UserController@updateimg')->name('users.updateimg')->middleware('permission');
	Route::delete('/users/{id}/detail', 'UserController@deleteImg')->name('users.deleteImg')->middleware('permission');



	//Route Order
	// Route::get('orders2', 'OrderController@index2') -> name ('orders2.index');
	Route::prefix('orders')->middleware('permission')->name('orders.')->group(function(){
		Route::get('/detail/{id}', 'OrderController@detail')->name('detail');
		Route::get('/', 'OrderController@index')->name('index');
		Route::get('/create', 'OrderController@create')->name('create');
		Route::get('/export', 'OrderController@export')->name('export');
		Route::delete('/delete-order/{id}', 'OrderController@deleteOrder')->name('deleteOrder');
		Route::post('/change-status-order/{id}','OrderController@changeStatusOrder')->name('changeStatusOrder');
		Route::post('/update-delivery/{id}','OrderController@updateDelivery')->name('updateDelivery');
		Route::post('store', 'OrderController@store')->name('store');
		Route::post('update-nfor/{id}', 'OrderController@updateInfor')->name('updateInfor');
		Route::post('update-delivery-method/{id}', 'OrderController@updateDeliveryMethod')->name('updateDeliveryMethod');
		Route::post('update-reason-cancel/{id}', 'OrderController@updateReasonCancel')->name('updateReasonCancel');
		Route::post('validate-order', 'OrderController@validateOrder')->name('validateOrder');
		Route::post('validate-delivery', 'OrderController@validateDelivery')->name('validateDelivery');
		Route::post('upload-imgsend','OrderController@uploadImgSend')->name('uploadImgSend');
		Route::post('/update-info-order/{id}','OrderController@updateInfoOrder')->name('updateInfoOrder');
        Route::post('refund','OrderController@refund')->name('refund');
		Route::post('/change-status-cancel/{id}','OrderController@changeStatusCancel')->name('changeStatusCancel');
		Route::post('/update-img-reason/{id}','OrderController@updateImgReason')->name('updateImgReason');
		Route::post('change-status-all-cancel/{id}','OrderController@changeStatusAllCancel')->name('changeStatusAllCancel');
		Route::post('validate-product','OrderCollection@validateProduct')->name('validateProduct');
		Route::post('/change-status-confirm-admin/{id}','OrderController@changestatusAdminConfirm')->name('changestatusAdminConfirm');
		Route::post('/change-status-unpaid/{id}','OrderController@changeStatusUnpaid')->name('changeStatusUnpaid');
		Route::post('validated','OrderController@validatedOrder')->name('validatedOrder');
	});




	//Route Banners
	Route::prefix('banners')->middleware('permission')->name('banners.')->group(function(){
		Route::get('/', 'BannerController@index')->name('index');
		Route::get('/{id}/detail', 'BannerController@detail')->name('detail');
		Route::get('/export', 'BannerController@export')->name('export');
		Route::delete('/delete-banners/{id}', 'BannerController@delete')->name('bannersDelete');
		Route::post('/status/{id}', 'BannerController@changeStatus')->name('status');
		Route::post('/update-info/{id}','BannerController@updateInfor')->name('updateInfor');
		Route::post('/update-collection/{id}','BannerController@updateCollection')->name('updateCollection');
		Route::get('/create','BannerController@create')->name('create');
		Route::post('/store','BannerController@store')->name('store');
		Route::post('check-store','BannerController@checkStore')->name('checkStore');
		Route::post('validate-banner-info','BannerController@validateBannerInfor')->name('validateBannerInfor');
		Route::post('validate-banner-collection','BannerController@validateBannerCollection')->name('validateBannerCollection');
		Route::post('change-status-1/{id}','BannerController@changeStatus1')->name('changeStatus1');
		Route::post('change-status-2/{id}','BannerController@changeStatus2')->name('changeStatus2');
		Route::post('change-status-3/{id}','BannerController@changeStatus3')->name('changeStatus3');
		Route::post('change-status-4/{id}','BannerController@changeStatus4')->name('changeStatus4');
		Route::post('/update-images/{id}','BannerController@updateImageBanner')->name('updateImageBanner');
		Route::post('validate','BannerController@validated')->name('validated');
	});

	





	//Route Notifications
	Route::group(['prefix' => 'notifications','middleware' => 'permission'],function(){
		Route::get('/', 'NotificationController@index')->name('notifications.index');
		Route::get('detail/{id}', 'NotificationController@detail')->name('notifications.detail');
		Route::post('status/{id}', 'NotificationController@changeStatus')->name('notifications.status');
		Route::delete('destroy/{id}', 'NotificationController@destroy')->name('notifications.destroy');
		Route::get('create', 'NotificationController@create')->name('notifications.create');
		Route::post('store', 'NotificationController@store')->name('notifications.store');
		Route::post('infor/{id}', 'NotificationController@updateInfor')->name('notifications.infor');
		Route::post('descript/{id}', 'NotificationController@updateDescript')->name('notifications.descript');
		Route::post('send-notification/{id}', 'NotificationController@sendNotification')->name('notifications.send');
		Route::get('export', 'NotificationController@export')->name('notifications.export');
		Route::post('validate-infor', 'NotificationController@checkNotiInfor')->name('notifications.validateinfor');
		Route::post('validate-descript', 'NotificationController@checkNotiDescript')->name('notifications.validatedescript');
		Route::post('validate/image', 'NotificationController@validateImage')->name('notifications.validate_image');
		Route::post('validate', 'NotificationController@validated')->name('notifications.validated');
	});


	//Route Team members
	Route::get('members','TeamMembersController@index')->name('members.index')->middleware('permission');
	Route::get('members/create','TeamMembersController@create')->name('members.create')->middleware('permission');
	Route::post('members/store','TeamMembersController@store')->name('members.store')->middleware('permission');
	Route::get('members/edit/{id}','TeamMembersController@edit')->name('members.edit')->middleware('permission');
	Route::post('members/updateInfor/{id}','TeamMembersController@updateInfor')->name('members.updateInfor')->middleware('permission');
	Route::post('members/updateRole/{id}','TeamMembersController@updateRole')->name('members.updateRole')->middleware('permission');
	Route::get('members/export','TeamMembersController@export')->name('members.export')->middleware('permission');
	Route::post('members/status/{id}', 'TeamMembersController@changeStatus')->name('members.status')->middleware('permission');
	Route::post('members/block/{id}', 'TeamMembersController@blockMember')->name('members.blocked')->middleware('permission');
	Route::delete('members/destroy/{id}', 'TeamMembersController@destroy')->name('members.destroy')->middleware('permission');
	Route::post('members/change-password', 'TeamMembersController@changePassword')->name('members.change-password')->middleware('permission');
	Route::post('members/validate-infor', 'TeamMembersController@validateMemberInfor')->name('members.validate-infor')->middleware('permission');
	Route::post('members/validate-roles', 'TeamMembersController@validateMemberRole')->name('members.validate-roles')->middleware('permission');
	Route::post('members/validate/image', 'TeamMembersController@validateImage')->name('members.validate_image')->middleware('permission');
	Route::post('members/validate', 'TeamMembersController@validated')->name('members.validated')->middleware('permission');






    Route::resource('profile', 'ProfileController');


    Route::resource('roles', 'RoleController')->middleware('permission');
    Route::get('/roles/edit/{id}', 'RoleController@edit')->name('roles.edit')->middleware('permission');
    Route::get('/roles/destroy/{id}', 'RoleController@destroy')->name('roles.destroy')->middleware('permission');

    // uploaded files
    Route::any('/uploaded-files/file-info', 'AizUploadController@file_info')->name('uploaded-files.info');
    Route::resource('/uploaded-files', 'AizUploadController');
    Route::get('/uploaded-files/destroy/{id}', 'AizUploadController@destroy')->name('uploaded-files.destroy');

    Route::resource('collections', 'CollectionController')->middleware('permission');
    Route::group(['prefix' => 'collections','middleware' => 'permission'],function(){
        Route::get('information/{id}', 'CollectionController@information')->name('collections.information');
        Route::post('status/{id}', 'CollectionController@changeStatus')->name('collections.status');
        Route::post('infor/{id}', 'CollectionController@updateInfo')->name('collections.info');
        Route::post('product/{id}', 'CollectionController@addProduct')->name('collections.product');
        Route::post('product/destroy/{id}', 'CollectionController@deleteProduct')->name('collections.producDel');
        Route::post('validate', 'CollectionController@validateCollection')->name('collections.validate');
		Route::post('validate/image', 'CollectionController@validateImage')->name('collections.validate_image');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\TermsController;
use Illuminate\Support\Facades\Route;


Route::namespace('\App\Http\Controllers\Frontend')->group(function (){
    Route::get('/', 'HomeController@index')->name('homepage');

    // my page 
    Route::prefix('my-page')->group(function () {
        Route::get('/', 'MyPageController@index')->name('history_order');
        Route::get('/edit-profile', 'MyPageController@editProfile')->name('my_editprofile');
        Route::put('/edit-profile/{id}','MyPageController@updateProfile')->name('updateProfile');
        // get total orders and point of user
        Route::get('point-orders','MyPageController@countOrderAndPoint');
    });

    Route::prefix('category')->group(function () {
        Route::get('/{id_category}', 'CategoryController@index')->name('get_category');
    });
});
// Route::get('', function () {
//     return redirect()->route('admin.dashboard');
// });

Route::get('webview/address', function () {
    return view('webview.address');
});
Route::get('/policy','PageController@policy')->name('policy.index');
Route::get('/terms','PageController@term')->name('terms.index');


Route::get('logs', '\Rap2hpoutre\LaravelLogViewer\LogViewerController@index');

Route::get('/cart', function () {
    // Route::get('/', 'CartController@index')->name('cart_index');
    return view('frontend.carts.index');
});

// my order page

Route::get('/product/{product}', function ($product) {
    return view('frontend.products.show');
});

app/Banner.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Banner extends Model
{
    protected $table = 'banners';
    protected $fillable = [
        'id','collection_id', 'position', 'start_date', 'end_date', 'title', 'status', 'created_at','updated_at','images','id_images'
    ];

    const POSITIONS = [
        '홈화면' => 1,
        '카테고리'=>2,
        '검색 페이지'=>3
    ];

    public function collection()
    {
        return $this->belongsTo(Collection::class);
    }
    public function isActive()
    {
        return intval($this->status) === 1;
    }
    public function isInActive()
    {
        return intval($this->status) === 2;
    }

    public function checkStatus() {
        if($this->status == 1) {
            return '스탠바이';
        } else if($this->status == 2){
            return '게시중';
        } else if($this->status == 3){
            return '완료';
        }else {
            return '취소';
        }
    }

    public function changeStatus(){
        if($this->status==1){
            return '비활성';
        }else{
            return'액티브';
        }

    } 
    public function checkPosition(){
        if($this->position ==1){
            return '홈화면';
        } else if($this->position ==2 ){
            return '카테고리';

        } else {
            return '검색 페이지';
        }
    }
}

app/Http/Controllers/Api/BannerController.php
<?php

namespace App\Http\Controllers\Api;

use App\Http\Resources\BannerCollection;
use Symfony\Component\HttpFoundation\Request;
use App\Banner;
class BannerController extends Controller
{

    public function index()
    {
        return new BannerCollection(json_decode(get_setting('home_banner1_images'), true));
    }

    public function banner(Request $request)
    {   
        $banner = new Banner;
        if (!empty($request->position)) {
            $banner = $banner->where('position',$request->position);
        }
        $banner = $banner->where([
            ['start_date','<=',date('Y-m-d')],
            ['end_date','>=',date('Y-m-d')],
            ['status','<>',3],
        ])->get();
        
        return new BannerCollection($banner);
    }
}

resources/views/backend/banners/detail.blade.php
@extends('backend.layouts.app')
@section('title')
@lang('banners.banner-detail')
@endsection
@section('content')
<div class="mb-4">
{{--@dump($errors) --}}
    <a href="{{route('banners.index')}}">
        <button type="submit" class="btn-back">
            <img src="{{ static_asset('assets/img/icons/back-admin.svg') }}" class="img-search mr-2" alt="Search">
        </button>
    </a>

</div>
<div class=" row  m-0">
    <div>
        @if (!empty($banners->images))
        <img src="{{ my_asset($banners->images) }}" class="img-ava2 mr-2" alt="{{$banners->title}}">
        @else
        <img class="img-ava2 mr-2" src="/public/assets/img/icons/no-img.png" alt="{{ $banners->title }}">
        @endif
    </div>
    <div>
        <p class="mb-0 font-weight-800 font-size-18">#{{$banners->id}}</p>
        <p class="mb-1 font-weight-800 font-size-18">
            @lang('banners.link') 
            @if($banners->collection_id)
                 #{{$banners->collection_id}}
            @else
                <p></p>
            @endif
        </p>
        <label  class=" {{$banners->status==1 ? 'activeBtn' : 'inactiveBtn'}}">{{$banners->status==1?'활동적인':'활성 상태'}}</label>
    </div>
</div>
<div class=" mt-3 row ml-0 mr-0">
    <div class="col-md-3 detail-content1">
        <a href="javascript:void(0)" class="content1-img banner-info">
            <img src="{{ static_asset('assets/img/icons/edit.png') }}" class="img-EditDetail alt="Search">
        </a>
        <div class="all-content1">
            <div>
                <p class="font-weight-800">@lang('banners.id')</p>
                <p>#{{$banners->id}}</p>
            </div>
            <div>
                <p class="font-weight-800">@lang('banners.pos')</p>
                <p>{{$banners->checkPosition()}}</p>
            </div>
            <div>
                <p class="font-weight-800">@lang('banners.start')</p>
                <p>{{Date('Y/m/d', strtotime($banners->start_date))}}</p>
            </div>
            <div>
                <p class="font-weight-800">@lang('banners.end')</p>
                <p>{{Date('Y/m/d', strtotime($banners->end_date))}}</p>
            </div>

        </div>
    </div>
    <div class="col-md-3 detail-content1">
        <a href="javascript:void(0)" class="content1-img mark-banner-img">
            <img src="{{ static_asset('assets/img/icons/edit.png') }}" class="img-EditDetail" alt="Edit">
        </a>
        <div class="all-content1">
            <div>
                <p class="font-weight-800">@lang('banners.bn_img')</p>
                @if ($banners->images)
                    <img src="{{ my_asset($banners->images) }}" class="img-itemBanner" alt="{{ $banners->title }}">
                @else
                    <img class="img-itemBanner" src="/public/assets/img/icons/no-img.png" alt="{{ $banners->title }}">

                @endif
            </div>
        </div>

    </div>
    <div class="col-md detail-content2">
        <a href="#" class="content1-img collectionEdit" id="collectionEdit2">
            <img src="{{ static_asset('assets/img/icons/edit.png') }}" class="img-EditDetail alt="Search">
        </a>
        <div class="all-content1">
            <div class="overflow-auto">
                <table style="width:100%">
                    <thead>
                        <tr>
                            <th class="font-weight-800">@lang('banners.link')</th>
                            <th class="font-weight-300">@lang('')</th>
                        </tr>
                    </thead>
                    <tbody>
                            <th class="font-weight-500 ">
                                @if($banners->collection_id)
                                #{{$banners->collection_id}}
                                @else
                                <p></p>
                                @endif
                            </th>
                            <th class="font-weight-800 res-idBanner">{{optional($banners)->title}}</th>
                           </tr>
                    <tbody>
                </table>

            </div>
        </div>
    </div>
</div>



@endsection

@section('modal')
    @include('templates.popup.banners-edit',['edit'=>true])
    @include('templates.popup.banner-img-popup')
    @include('templates.popup.banner-collection-edit')
@endsection

@section('script')
<script src="//cdn.jsdelivr.net/npm/sweetalert2@10"></script>
<script src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>

<script type="text/javascript">
$(function(){
        $('#collection_id option:first').html("선택 안됨");
        $('.banner-info').click(function() {
            let url = $(this).attr('href');
            $('.banner-infos').addClass('show');
        });
        $('.form-kus').click(function() {
            let url = $(this).attr('href');
            $('.form-skus').addClass('show');
        });
        $('.mark-banner-img').click(function() {
            let url = $(this).attr('href');
            $('.mark-banners-img').addClass('show');
        });
        $('.collectionEdit').click(function() {
            let url = $(this).attr('href');
            $('.collectionsEdit').addClass('show');
        });
         //Show image
         $('#input-file').change(function () {
            $('.label-image-add-banner').before(`<img id="output" src="${window.URL.createObjectURL(this.files[0])}" width="150" height="150">'`);
        });

        //
        // function myFunction() {
        //     document.getElementById("status6");
        // }
        // function myFunction() {
        //     document.getElementById("status7");
        // }

        $('#change-banner').submit(function(e){
            // e.preventDefault();
            // const formData = new FormData(document.forms.changebanner);
            // // $('#change-banner input, #change-banner select').each(function(){
            // //     formData.append($(this).attr('name'), $())
            // // });
            // // console.log(formData.get('start_date'));
            // const url = $(this).attr('action');
            // $.ajax({
            //     url,
            //     method: "POST",
            //     data: formData,
            //     processData: false,
            //     dataType: "JSON",
            //     success: function(res){
            //         console.log(res);
            //     },
            //     error: function(err){
            //         const errors = err.responseJSON.errors;
            //         // const newError = Object.values(errors).join('');
            //     }
            // });
        });

        @if($errors->first('collection_id') ||$errors->first('title')){
            $('#collectionEdit2').click();
        }
        @endif
        @if($errors->first('end_date')|| $errors->first('start_date')|| $errors->first('position') ){
            $('.banner-info').click();
        }
        @endif
        @if($errors->has('id_files')){
            $('a.content1-img.mark-banner-img').click();
        }
        @endif


        $('#status51').change(function(){
            $('#joined_date131').val($(this).find('option:selected').data('title'))
        })

    });
        // date picker banners
        $('#status6').daterangepicker({
            singleDatePicker: true,
            autoUpdateInput: false,
            drops:'up',
            showDropdowns: true,
            minDate: '1921/01/01',
            locale: {
                format: 'YYYY/MM/DD',
                applyLabel: "대다",
                cancelLabel: "취소",
                "monthNames":[
                    "일월" , // Tháng 1
                    "이월" , // Tháng 2
                    "삼월" , // Tháng 3
                    "사월" , // Tháng 4
                    "오월" , // Tháng 5
                    "유월" , // Tháng 6
                    "칠월" , // Tháng 7
                    "팔월" , // Tháng 8
                    "구월" , // Tháng 9
                    "시월" , // Tháng 10
                    "십일월" , // Tháng 11
                    "십이월" , // Tháng 12
                ],
                daysOfWeek:[
                    "월요일" ,// Thứ 2
                    "화요일" ,// Thứ 3
                    "수요일" ,// Thứ 4
                    "목요일" ,// Thứ 5
                    "금요일" ,// Thứ 6
                    "토요일" ,// Thứ 7
                    "일요일" ,//  Chủ nhật.
                ]
            }
        });
        // $('#status6').on('apply.daterangepicker', function (ev, picker) {
        //     $(this).val(picker.startDate.format('YYYY/MM/DD'));
        // });

        // $('#status6').on('cancel.daterangepicker', function (ev, picker) {
        //     $(this).val('');
        // });
        $('#status6').val('{{ Date('Y/m/d',strtotime($banners->start_date)) }}');
        $('#status7').daterangepicker({
            singleDatePicker: true,
            autoUpdateInput: false,
            drops:'up',
            showDropdowns: true,
            minDate: '1921/01/01',
            locale: {
                format: 'YYYY/MM/DD',
                applyLabel: "대다",
                cancelLabel: "취소",
                "monthNames":[
                    "일월" , // Tháng 1
                    "이월" , // Tháng 2
                    "삼월" , // Tháng 3
                    "사월" , // Tháng 4
                    "오월" , // Tháng 5
                    "유월" , // Tháng 6
                    "칠월" , // Tháng 7
                    "팔월" , // Tháng 8
                    "구월" , // Tháng 9
                    "시월" , // Tháng 10
                    "십일월" , // Tháng 11
                    "십이월" , // Tháng 12
                ],
                daysOfWeek:[
                    "월요일" ,// Thứ 2
                    "화요일" ,// Thứ 3
                    "수요일" ,// Thứ 4
                    "목요일" ,// Thứ 5
                    "금요일" ,// Thứ 6
                    "토요일" ,// Thứ 7
                    "일요일" ,//  Chủ nhật.
                ]
            }
        });
        $('#status7').on('apply.daterangepicker', function (ev, picker) {
            $(this).val(picker.startDate.format('YYYY/MM/DD'));
        });

        $('#status7').on('cancel.daterangepicker', function (ev, picker) {
            $(this).val('');
        });
        $('#status7').val('{{ Date('Y/m/d',strtotime($banners->end_date)) }}');
</script>

@endsection